<?php

namespace CodeClouds\Unify\Actions;

use \CodeClouds\Unify\Service\Validation\Card_Validation as Validation;
use \CodeClouds\Unify\Service\Request;

/**
 * Checkout actions.
 * @package CodeClouds\Unify
 */
class Checkout
{
    /**
     * CC validation before payment.
     */
    public static function process_unify_payment()
    {
        if (Request::post('payment_method') != 'codeclouds_unify')
        {
            return;
        }

        $validator = Validation::validate([
            'cc_number' => Request::post('cc_number'),
            'cc_expiry' => Request::post('cc_expiry'),
            'cc_cvc'    => Request::post('cc_cvc'),
        ]);

        if ($validator->failed())
        {
            $validator->print_messages();
        }
    }
    
    /**
     * Custom validation for checkout form.
     */
    public static function checkout_validation($fields)
    {
        $fields['billing']['billing_state']['required']   = true;
        $fields['shipping']['shipping_state']['required'] = true;

        return $fields;
    }
    
    /**
     * Custom validation for checkout form.
     */
    public static function checkout_js_validation()
    {
        if(is_checkout())
        {
            wp_register_script('checkoutjs', plugins_url('/../assets/js/checkout.js', __FILE__));
            wp_enqueue_script( 'checkoutjs' );
        }
    }
}
