<?php

namespace CodeClouds\Unify\Actions;
use \CodeClouds\Unify\Service\Request;
use \CodeClouds\Unify\Service\Helper;
use \CodeClouds\Unify\Service\Notice;
/**
 * Plugin's Tools.
 * @package CodeClouds\Unify
 */
class Settings
{	
	public static function setting()
	{
		$setting_data = \get_option('woocommerce_codeclouds_unify_settings');
		
		$connection_list = \CodeClouds\Unify\Model\Connection::getArray();
		$shipment_list = ['' => 'Please chosse an option', 1 => 'Single order with custom product', 2 => 'Multiple orders'];
		
		include_once __DIR__ . '/../Templates/setting.php';
	}
	
	public static function save_settings()
	{
		$request = Request::post();
		$nonce = $request['_wpnonce'];	
		$messages = Helper::getDataFromFile('Messages');
		$setting_option = \get_option('woocommerce_codeclouds_unify_settings');
		
		if (wp_verify_nonce($nonce, 'unify-settings-data'))
		{
			//****** Save to option Starts *********** //
			$fields = ['enabled' => 'no', 'title' => '', 'description' => '', 'connection' => '', 'shipment_price_settings' => '',
				'shipping_product_id' => '', 'testmode' => 'no', 'enable_debugging' => 'no'];
			
			foreach ($request as $reqKey => $reqValue)
			{
				if(array_key_exists($reqKey, $fields) && !empty($reqValue)){
					$fields[$reqKey] = \esc_html($reqValue);
				}
			}
			
			if(empty($setting_option)){
				$result = \add_option('woocommerce_codeclouds_unify_settings', $fields);
			}else{
				if(!empty($setting_option['connection']) && $setting_option['connection'] != $fields['connection']){
					\wp_update_post( ['ID' => $setting_option['connection'], 'post_status' => 'publish'] );
					\wp_update_post( ['ID' => $fields['connection'], 'post_status' => 'active'] );
				}
				$result = \update_option('woocommerce_codeclouds_unify_settings', $fields);
			}
			
			//****** Save to option ENDS *********** //
			
				$msg = $messages['SETTINGS']['SAVE'];
				Notice::setFlashMessage('success', $msg);
				
				wp_redirect(Request::post('_wp_http_referer'));
				exit();
				
		}
		
		$error_msg = $messages['COMMON']['ERROR'];
		Notice::setFlashMessage('error', $error_msg);
			
		wp_redirect(Request::post('_wp_http_referer'));
		exit();
	}
}
