<?php

return [
    'apiRules' => [
        'customerQuery'     => [
            'firstName'      => 'max:30',
            'lastName'       => 'max:30',
            'companyName'    => 'max:30',
            'address1'       => 'max:30',
            'address2'       => 'max:30',
            'postalCode'     => '',
            'city'           => 'max:30',
            'state'          => '',
            'country'        => '',
            'emailAddress'   => 'email',
            'phoneNumber'    => '',
            'ipAddress'      => '',
            'dateRangeType'  => 'in:dateCreated,dateUpdated,mostRecentActivity',
            'startDate'      => 'required|date|date_format:m/d/Y',
            'endDate'        => 'required|date|date_format:m/d/Y',
            'startTime'      => '',
            'endTime'        => '',
            'sortDir'        => 'integer|in:0,1',
            'resultsPerPage' => 'integer',
            'page'           => 'integer',
        ],
        'customerAddnote'   => [
            'customerId' => 'required',
            'message'    => 'required|max:500',
        ],
        'customerUpdate'    => [
            'customerId'        => 'required',
            'firstName'         => 'max:30',
            'lastName'          => 'max:30',
            'companyName'       => 'max:30',
            'address1'          => 'max:30',
            'address2'          => 'max:30',
            'postalCode'        => '',
            'city'              => 'max:30',
            'state'             => 'max:6',
            'country'           => '',
            'emailAddress'      => 'email',
            'phoneNumber'       => '',
            'shipFirstName'     => 'max:30',
            'shipLastName'      => 'max:30',
            'shipCompanyName'   => 'max:30',
            'shipAddress1'      => 'max:30',
            'shipAddress2'      => 'max:30',
            'shipPostalCode'    => '',
            'shipCity'          => 'max:30',
            'shipState'         => '',
            'shipCountry'       => '',
            'eCommerceLogin'    => 'max:45',
            'eCommercePassword' => 'max:45',
            'custom1'           => 'max:50',
            'custom2'           => 'max:50',
            'custom3'           => 'max:50',
            'custom4'           => 'max:50',
            'custom5'           => 'max:50',

        ],
        'customerBlacklist' => [
            'blacklistType' => 'in:cardBin,stateCountry,emailAddress,phoneNumber,ipAddress',
            'customerId'    => 'integer',
            'cardBin'       => 'integer|required_if:blacklistType,cardBin',
            'country'       => 'required_if:blacklistType,stateCountry',
            'state'         => '',
            'emailAddress'  => 'required_if:blacklistType,emailAddress|email',
            'phoneNumber'   => 'required_if:blacklistType,phoneNumber',
            'ipAddress'     => 'required_if:blacklistType,ipAddress',
            'productId'     => 'integer',
        ],
        'customerHistory'   => [
            'customerId'     => 'integer',
            'startDate'      => 'required_without:customerId|date|date_format:m/d/Y',
            'endDate'        => 'required_without:customerId|date|date_format:m/d/Y',
            'startTime'      => '',
            'endTime'        => '',
            'resultsPerPage' => 'integer',
            'page'           => 'integer',
            'categoryType'   => 'max:32|required_without:customerId',
        ],

        'customerContracts' => [
            'orderId'    => 'required_without:customerId',
            'customerId' => 'required_without:orderId',
        ],

    ],
];
