jQuery(document).ready(function ($) {
	//// ############## CUSTOM DROPDOWN UI JS STARTS ################### //
	$(".custom-select").each(function () {
		var classes = $(this).attr("class"),
			id = $(this).attr("id"),
			name = $(this).attr("name");
		var template = '<div class="' + classes + '">';
		template += '<span class="custom-select-trigger">' + $(this).attr("placeholder") + '</span>';
		template += '<div class="custom-options">';
		$(this).find("option").each(function () {
			template += '<span class="custom-option ' + $(this).attr("class") + '" data-value="' + $(this).attr("value") + '">' + $(this).html() + '</span>';
		});
		template += '</div></div>';

		$(this).wrap('<div class="custom-select-wrapper"></div>');
		$(this).hide();
		$(this).after(template);
	});
	
	$(".custom-option:first-of-type").hover(function () {
		$(this).parents(".custom-options").addClass("option-hover");
	}, function () {
		$(this).parents(".custom-options").removeClass("option-hover");
	});
	
	$(".custom-select-trigger").on("click", function () {
//		$('html').one('click', function () {
//			$(".custom-select").removeClass("opened");
//		});
		$(this).parents(".custom-select").toggleClass("opened");
		event.stopPropagation();
	});
	
	$(".custom-option").on("click", function () {
		var id = $(this).parents(".custom-select-wrapper").find("select").attr("id");
		$(this).parents(".custom-select-wrapper").find("select").val($(this).data("value"));
		$(this).parents(".custom-options").find(".custom-option").removeClass("selection");
		$(this).addClass("selection");
		$(this).parents(".custom-select").removeClass("opened");
		$(this).parents(".custom-select").find(".custom-select-trigger").text($(this).text());

		$('#' + id).trigger("click");
	});
	//// ############## CUSTOM DROPDOWN UI JS ENDS ################### //

	// Custom Js

	$('select[name=unify_connection_crm_select]').on('click', function () {
		$('#unify_connection_crm').val($(this).find(":selected").val());
		$('#unify_connection_crm').trigger('blur');
		if ($(this).find(":selected").val() == 'limelight') {
			$('#offer_model_ent_div').show();
			$('#unify_connection_endpoint_div').show();
		} else {
			$('#offer_model_ent_div').hide();
			$('#unify_connection_endpoint_div').hide();
		}
	});


	if ($('#unify_connection_crm').val() != '') {
		$('select[name=unify_connection_crm_select]').next(".custom-select").find(".custom-select-trigger").text($('#unify_connection_crm').attr('data-txt'));
		$('select[name=unify_connection_offer_model_select]').next(".custom-select").find(".custom-select-trigger").text($('#unify_connection_offer_model').attr('data-txt'));
	}
	
	$('select[name=unify_connection_offer_model_select]').on('click', function () {
		$('#unify_connection_offer_model').val($(this).find(":selected").val());
	});

	//// ############## On Load setting dropdwon val STARTS ################### //
	if ($('#unify_connection_crm').val() == 'limelight') {
		$('#offer_model_ent_div').show();
		$('#unify_connection_endpoint_div').show();
	}

	$("#post-stat-action").hide();
	$("#post-stat").click(function () {
		$(this).next('#post-stat-action').toggle();
	});

	$('.selct-stat-val').click(function () {
		var stat = $(this).attr('val');
		$('#post_status').val(stat);
		$('#post-stat').html(stat.charAt(0).toUpperCase() + stat.slice(1));
	});

//	// *********** Hide connection message
//	$('.cross-position').click(function () {
//		$(this).parents('div .container-fluid').fadeOut();
//	});
	
	
	// ######### ON SUBMIT OF FORM JS VALIDATION STARTS #########//
	
	$('#submit_connection').click(function(){
		
		$("#unify_connections_post").validate({ // initialize the plugin
			ignore: [],
			rules: {
				post_title: {
					required: true
				},
				unify_connection_campaign_id: {
					required: true
				},
				unify_connection_crm: {
					required: true
				},
				unify_connection_endpoint: {
					required: function (element) {
						if($('#unify_connection_crm_select').val() == 'limelight'){
							return true;
						}
						return false;
					}
				},
				unify_connection_api_username: {
					required: true
				},
				unify_connection_api_password: {
					required: true
				},
			},
			messages :{
				post_title: {
					required: 'Post Title is a required field.'
				},
				unify_connection_campaign_id: {
					required: 'Campaign ID is a required field.'
				},
				unify_connection_crm: {
					required: 'CRM is a required field.'
				},
				unify_connection_endpoint: {
					required: 'Endpoint is a required field.'
				},
				unify_connection_api_username: {
					required: 'Username is a required field.'
				},
				unify_connection_api_password: {
					required: 'Password is a required field.'
				}
			},
			errorClass:'text-danger',
		});
		
		if($("#unify_connections_post").valid()){
			$('#unify_connections_post').submit();
			return true;
		}
		return false;
//		var post_data = ['post_title', 'post_status', 'unify_connection_crm', 'unify_connection_endpoint', 
//			'unify_connection_api_username', 'unify_connection_api_password', 'unify_connection_campaign_id', 
//			'unify_connection_offer_model'];
//		var inValid = false;
//		var err = '';
//		var data = $('#unify_connections_post').serializeArray().reduce(function (obj, item) {
//			obj[item.name] = item.value;
//			return obj;
//		}, {});
//		console.log(data);
//		
//		$.each(post_data, function (key, value) {
//			console.log(key + ": " + value, data[value]);
//			//<span style="display:block;" >'.$messages['VALIDATION']['CREATE_CONNECTION'][strtoupper($value)] . '</span>
//			if((key == 'unify_connection_endpoint' || key == 'unify_connection_offer_model') && data[value] == '' && data['unify_connection_crm'] == 'limelight'){
//					inValid = true;
//					err += '<span style="display:block;" >'+value+'</span>';
//					
//			}else if(data[value] == ''){
//					inValid = true;
//					err += '<span style="display:block;" >'+value+'</span>';					
//			}
//		})
//		
//		if(inValid){
//			console.log(err);
//		}
//		return false;
//		$('#unify_connections_post').submit();
	});

	// ######### ON SUBMIT OF FORM JS VALIDATION ENDS #########//

});

jQuery(document).on("click", function (event) {

	if (event.target.id != 'post-stat') {
		jQuery("#post-stat-action").hide();
	}
	
	if (jQuery(event.target).is(".custom-select") == false) {
		jQuery(".custom-select").removeClass("opened");
	}

});