jQuery(document).ready(function ($) {

	$(".custom-select").each(function () {
		var classes = $(this).attr("class"),
			id = $(this).attr("id"),
			name = $(this).attr("name");
		var template = '<div class="' + classes + '">';
		template += '<span class="custom-select-trigger">' + $(this).attr("placeholder") + '</span>';
		template += '<div class="custom-options">';
		$(this).find("option").each(function () {
			template += '<span class="custom-option ' + $(this).attr("class") + '" data-value="' + $(this).attr("value") + '">' + $(this).html() + '</span>';
		});
		template += '</div></div>';

		$(this).wrap('<div class="custom-select-wrapper"></div>');
		$(this).hide();
		$(this).after(template);
	});
	$(".custom-option:first-of-type").hover(function () {
		$(this).parents(".custom-options").addClass("option-hover");
	}, function () {
		$(this).parents(".custom-options").removeClass("option-hover");
	});
	$(".custom-select-trigger").on("click", function () {
//		$('html').one('click', function () {
//			$(".custom-select").removeClass("opened");
//		});
		$(this).parents(".custom-select").toggleClass("opened");
		event.stopPropagation();
	});
	$(".custom-option").on("click", function () {
		var id = $(this).parents(".custom-select-wrapper").find("select").attr("id");
		$(this).parents(".custom-select-wrapper").find("select").val($(this).data("value"));
		$(this).parents(".custom-options").find(".custom-option").removeClass("selection");
		$(this).addClass("selection");
		$(this).parents(".custom-select").removeClass("opened");
		$(this).parents(".custom-select").find(".custom-select-trigger").text($(this).text());
		
		$('#' + id).trigger("click");
	});
	
	
	// Custom Js
	
	$('select[name=connection]').on('click', function () {
		$('#connection_val').val($(this).find(":selected").val());		
	});
	
	
	if($('#connection_val').val() != ''){		
		$('select[name=connection]').val($('#connection_val').val());		
	}
	
	$('select[name=shipment_price_settings]').on('click', function () {
		$('#shipment_price_settings_val').val($(this).find(":selected").val());	
		
		if($(this).find(":selected").val() == 1){
			$('#show_ship').show();
		}else{
			$('#show_ship').hide();
		}
	});
	
	
	if($('#shipment_price_settings_val').val() != ''){		
		$('select[name=shipment_price_settings]').val($('#shipment_price_settings_val').val());	
		if($('#shipment_price_settings_val').val() == 1){
			$('#show_ship').show();
		}		
	}
	
	
	//// Form Validation 
	$('#submit_settings').click(function(){
		
		$("#unify_settings_form_post").validate({ // initialize the plugin
			ignore: [],
			rules: {
				title: {
					required: function (element) {
						if($('#enabled').is(':checked')){
							return true;
						}
						return false;
					}
				},
				description: {
					required: function (element) {
						if($('#enabled').is(':checked')){
							return true;
						}
						return false;
					}
				},
				connection: {
					required: function (element) {
						if($('#enabled').is(':checked')){
							return true;
						}
						return false;
					}
				},
			},
			messages :{
				title: {
					required: 'Title is a required field.'
				},
				description: {
					required: 'Description is a required field.'
				},
				connection: {
					required: 'Connection is a required field.'
				}
			},
			errorClass:'text-danger',
			errorPlacement: function(error, element) {
				//Custom position: connection
				if (element.attr("name") == "connection") 
				{
					$("#connection_error").append(error);
				} else
				{
					error.insertAfter(element);
				}
				
			},
		});
		
		if($("#unify_settings_form_post").valid()){
			$('#unify_settings_form_post').submit();
			return true;
		}
		return false;
	});

});

jQuery(document).on("click", function (e) {
	
	if (jQuery(e.target).is(".custom-select") == false) {
		jQuery(".custom-select").removeClass("opened");
	}

});

function isNumberKey(evt)
{
	var charCode = (evt.which) ? evt.which : event.keyCode
	if (charCode > 31 && (charCode < 48 || charCode > 57))
		return false;

	return true;
}